org.apache.pdfbox.pdmodel.interactive.action

## Class PDAction

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

Direct Known Subclasses:
  PDActionEmbeddedGoTo, PDActionGoTo, PDActionHide, PDActionImportData, PDActionJavaScript, PDActionLaunch, PDActionMovie, PDActionNamed, PDActionRemoteGoTo, PDActionResetForm, PDActionSound, PDActionSubmitForm, PDActionThread, PDActionURI

    public abstract class PDAction
    extends Object
    implements PDDestinationOrAction

This represents an action that can be executed in a PDF document.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Field Summary

Fields
`protected COSDictionary` `action` The action dictionary.
`static String` `TYPE` The type of PDF object.

### Constructor Summary

Constructors
Constructor and Description
`PDAction()` Default constructor.
`PDAction(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`List<PDAction>` `getNext()` This will get the next action, or sequence of actions, to be performed after this one.
`String` `getSubType()` This will get the type of action that the actions dictionary describes.
`String` `getType()` This will get the type of PDF object that the actions dictionary describes.
`void` `setNext(List<PDAction> next)` This will set the next action, or sequence of actions, to be performed after this one.
`protected void` `setSubType(String s)` This will set the type of action that the actions dictionary describes.
`protected void` `setType(String type)` This will set the type of PDF object that the actions dictionary describes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

The type of PDF object.

See Also:
  Constant Field Values

#### action

    protected final COSDictionary action

The action dictionary.

### Constructor Detail

#### PDAction

    public PDAction()

Default constructor.

#### PDAction

    public PDAction(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getType

    public final String getType()

This will get the type of PDF object that the actions dictionary describes. If present must be Action for an action dictionary.

Returns:
  The Type of PDF object.

#### setType

    protected final void setType(String type)

This will set the type of PDF object that the actions dictionary describes. If present must be Action for an action dictionary.

Parameters:
  `type` - The new Type for the PDF object.

#### getSubType

    public final String getSubType()

This will get the type of action that the actions dictionary describes.

Returns:
  The S entry of actions dictionary.

#### setSubType

    protected final void setSubType(String s)

This will set the type of action that the actions dictionary describes.

Parameters:
  `s` - The new type of action.

#### getNext

    public List<PDAction> getNext()

This will get the next action, or sequence of actions, to be performed after this one. The value is either a single action dictionary or an array of action dictionaries to be performed in order.

Returns:
  The Next action or sequence of actions.

#### setNext

    public void setNext(List<PDAction> next)

This will set the next action, or sequence of actions, to be performed after this one. The value is either a single action dictionary or an array of action dictionaries to be performed in order.

Parameters:
  `next` - The Next action or sequence of actions.